# Form implementation generated from reading ui file 'src/eric7/Project/NewDialogClassDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_NewDialogClassDialog(object):
    def setupUi(self, NewDialogClassDialog):
        NewDialogClassDialog.setObjectName("NewDialogClassDialog")
        NewDialogClassDialog.resize(600, 124)
        NewDialogClassDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(NewDialogClassDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.gridLayout = QtWidgets.QGridLayout()
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(parent=NewDialogClassDialog)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.classnameEdit = QtWidgets.QLineEdit(parent=NewDialogClassDialog)
        self.classnameEdit.setObjectName("classnameEdit")
        self.gridLayout.addWidget(self.classnameEdit, 0, 1, 1, 1)
        self.label_2 = QtWidgets.QLabel(parent=NewDialogClassDialog)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 1, 0, 1, 1)
        self.filenameEdit = QtWidgets.QLineEdit(parent=NewDialogClassDialog)
        self.filenameEdit.setObjectName("filenameEdit")
        self.gridLayout.addWidget(self.filenameEdit, 1, 1, 1, 1)
        self.label_3 = QtWidgets.QLabel(parent=NewDialogClassDialog)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 2, 0, 1, 1)
        self.pathnamePicker = EricPathPicker(parent=NewDialogClassDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.pathnamePicker.sizePolicy().hasHeightForWidth())
        self.pathnamePicker.setSizePolicy(sizePolicy)
        self.pathnamePicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.pathnamePicker.setObjectName("pathnamePicker")
        self.gridLayout.addWidget(self.pathnamePicker, 2, 1, 1, 1)
        self.verticalLayout.addLayout(self.gridLayout)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=NewDialogClassDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)
        self.label.setBuddy(self.classnameEdit)
        self.label_2.setBuddy(self.filenameEdit)
        self.label_3.setBuddy(self.pathnamePicker)

        self.retranslateUi(NewDialogClassDialog)
        self.buttonBox.accepted.connect(NewDialogClassDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(NewDialogClassDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(NewDialogClassDialog)
        NewDialogClassDialog.setTabOrder(self.classnameEdit, self.filenameEdit)
        NewDialogClassDialog.setTabOrder(self.filenameEdit, self.buttonBox)

    def retranslateUi(self, NewDialogClassDialog):
        _translate = QtCore.QCoreApplication.translate
        NewDialogClassDialog.setWindowTitle(_translate("NewDialogClassDialog", "New Dialog Class"))
        self.label.setText(_translate("NewDialogClassDialog", "&Classname:"))
        self.classnameEdit.setToolTip(_translate("NewDialogClassDialog", "Enter the name of the new class"))
        self.label_2.setText(_translate("NewDialogClassDialog", "&Filename:"))
        self.filenameEdit.setToolTip(_translate("NewDialogClassDialog", "Enter the name of the file for the forms code"))
        self.label_3.setText(_translate("NewDialogClassDialog", "&Path:"))
        self.pathnamePicker.setToolTip(_translate("NewDialogClassDialog", "Enter the path of the file for the forms code"))
from eric7.EricWidgets.EricPathPicker import EricPathPicker
